%define name_orig pam_ldap

Summary: PAM module for LDAP.
Name: pam_fjfi
Version: 176
Release: 1
Source0: ftp://ftp.padl.com/pub/%{name_orig}-%{version}.tar.gz
Source1: pam_fjfi.versions
Source2: dlopen.sh
Source3: pam.conf
Source10: check_fjfi.c
Source11: ldap.conf.global
Source12: ldap.conf.ad
Source13: ldap.conf.ldap
Source14: ldap.conf.nds
Source15: ldap.conf.usermap
Patch0: pam_ldap-176-dnsconfig.patch
Patch1: pam_ldap-176-nss_ldap_src.patch
Patch10: pam_fjfi.patch
URL: http://kmlinux.fjfi.cvut.cz/~vokac/activities/pam_fjfi
License: LGPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: openldap-devel
Requires: openldap cyrus-sasl openssl
Obsoletes: pam_fjfi

%description
This package includes a LDAP access clients: pam_fjfi.

Pam_ldap is a module for Linux-PAM that supports password changes, V2/V3
clients, Netscapes SSL/OpenSSL, ypldapd, Netscape Directory Server password
policies, access authorization, crypted hashes, etc.

Install nss_ldap if you need LDAP access clients.

%prep
%setup -q -n %{name_orig}-%{version} -a 0
%patch0 -p1 -b .dnsconfig
%patch1 -p1 -b .nss_ldap_src
rm -rf pam.d
%{__mv} pam_ldap.c pam_fjfi.c
%{__mv} pam_ldap.h pam_fjfi.h
%{__perl} -p -i -e 's/pam_ldap/pam_fjfi/g' *
%{__perl} -p -i -e 's/PAM_LDAP/PAM_FJFI/g' *
%{__perl} -p -i -e 's/PADL_LDAP/FJFI_LDAP/g' *
%{__perl} -p -i -e 's/PADL-LDAP/FJFI-LDAP/g' *
%patch10 -p1 -b .pam_fjfi
autoreconf

%build
# We're building modules here, so make sure -fPIC is always used.
CFLAGS="$RPM_OPT_FLAGS -fPIC"; export CFLAGS

%configure --libdir=/%{_lib}
make %{?_smp_mflags}

# Relink using the version script.
rm pam_fjfi.so
make pam_fjfi_so_LDFLAGS="-shared -Wl,--version-script=$RPM_SOURCE_DIR/pam_fjfi.versions"

# Check that the modules are actually loadable.
$RPM_SOURCE_DIR/dlopen.sh -lpam pam_fjfi.so

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

install -m755 -d $RPM_BUILD_ROOT/%{_lib}/security
install -m755 pam_fjfi.so $RPM_BUILD_ROOT/%{_lib}/security/

install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
install -m644 %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/fjfi
install -m644 %{SOURCE11} $RPM_BUILD_ROOT%{_sysconfdir}/ldap.conf.global
install -m644 %{SOURCE12} $RPM_BUILD_ROOT%{_sysconfdir}/ldap.conf.ad
install -m644 %{SOURCE13} $RPM_BUILD_ROOT%{_sysconfdir}/ldap.conf.ldap
install -m644 %{SOURCE14} $RPM_BUILD_ROOT%{_sysconfdir}/ldap.conf.nds
install -m644 %{SOURCE15} $RPM_BUILD_ROOT%{_sysconfdir}/ldap.conf.usermap

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%attr(0755,root,root) /%{_lib}/security/*.so*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/pam.d/fjfi
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/ldap.conf.global
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/ldap.conf.ad
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/ldap.conf.ldap
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/ldap.conf.nds
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/ldap.conf.usermap
%doc AUTHORS NEWS COPYING COPYING.LIB README ChangeLog

%changelog
* Wed Jul 20 2005 Petr Vokac <vokac@kmlinux.fjfi.cvut.cz>
- adaptation pam_ldap for more directory services running at fjfi

* Mon Jan 08 2001 Joe Little <jlittle@open-it.org>
- first PAM_FJFI specific RPM, stolen from the previously maintained nss_ldap

* Thu Jan 04 2001 Joe Little <jlittle@open-it.org>
- changed Makefile.RPM.openldap2 to a patch instead of a source file
- updated to pam_fjfi 86 and nss_ldap 126

* Wed Jan 03 2001 Joe Little <jlittle@open-it.org>
- update to pam_fjfi 84 and a change in the included Makefile to have libnss
  instead of just nss* in /usr/lib

* Tue Jan 02 2001 Joe Little <jlittle@open-it.org>
- update to pam_fjfi 82 and nss_ldap 124

* Tue Dec 05 2000 Joe Little <jlittle@open-it.org>
- changed provided nss-Makefile to use dynamic lber/ldap libs; fixes nss_ldap

* Fri Oct 27 2000 Joe Little <jlittle@open-it.org>
- updated my build for nss_ldap and pam_fjfi to solve race condition as told by
  Luke Howard

* Thu Oct 19 2000 Joe Little <jlittle@open-it.org>
- insured install uses openldap2 specific makefile
- fixed doc inclusion issue - which affect pam.d samples being provided

* Wed Oct 11 2000 Joe Little <jlittle@open-it.org>
- updated for latest nss/pam versions, and for building against openldap 2.x
- also added req for cyrus-sasl

* Thu Jul 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to pam_fjfi 67 to fix a bug in template user code
- convert symlink in /usr/lib to a relative one (#16132)

* Thu Jul 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to nss_ldap 113 and pam_fjfi 66

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Matt Wilson <msw@redhat.com>
- changed all the -,- in attr statements to root,root

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- update pam_fjfi to 63

* Wed May 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- update pam_fjfi to 56

* Tue May 30 2000 Nalin Dahyabhai <nalin@redhat.com>
- update pam_fjfi to 55
- back out no-threads patch for pam_fjfi, not needed any more

* Thu May 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 110
- revert prototype patch, looks like a problem with the new glibc after all

* Fri May 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- get libpthread out of the NSS module
- fix prototype problems in getpwXXX()

* Mon May 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to nss_ldap 109

* Sat Apr 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- update pam_fjfi 51

* Tue Apr 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to nss_ldap 108 and pam_fjfi 49

* Thu Apr 20 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to pam_fjfi 48

* Thu Mar 30 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to nss_ldap 107
- note: check http://www.advogato.org/person/lukeh/ for Luke's changelog

* Tue Mar 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to nss_ldap 106

* Wed Feb  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to nss_ldap 105

* Mon Feb  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to nss_ldap 104 and pam_fjfi 46
- disable link against libpthread in pam_fjfi

* Tue Feb  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- remove migration tools, because this package requires openldap now, which
  also includes them

* Fri Jan 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to nss_ldap 103

* Mon Jan 24 2000 Preston Brown <pbrown@redhat.com>
- fix typo in linuxconf-pair pam cfg file (#7800)

* Tue Jan 11 2000 Preston Brown <pbrown@redhat.com>
- v99, made it require pam_fjfi
- added perl migration tools
- integrate pam_fjfi stuff

* Fri Oct 22 1999 Bill Nottingham <notting@redhat.com>
- statically link ldap libraries (they're in /usr/lib)

* Tue Aug 10 1999 Cristian Gafton <gafton@redhat.com>
- use the ldap.conf file as an external source
- don't forcibly build the support for version 3
- imported the default spec file from the tarball and fixed it up for RH 6.1
